/*
 * Copyright (c) 1985 Thomas L. Quarles
 */
#ifndef INP
#define INP "INPdefs.h $Revision: 7.1 $  on $Date: 86/03/31 12:43:44 $ "

    /* structure declarations used by either/both input package */


#ifndef FILE
#include <stdio.h>
#endif

#define ERRCAT(a,b) a = INPerrCat(a,b);
char *INPerrCat();

#ifdef OLDINPUT

typedef struct sINPfile{
    FILE * sINPfile;
    char * INPline;
    char * INPtemp; /* input pushback - line read-ahead to look for */
                    /* continuation indication */
} INPfile;

#endif

typedef struct card{
    int linenum;
    char *line;
    char *error;
    struct card *nextcard;
    struct card *actualLine;
} card;

/* structure used to save models in after they are read during pass 1 */
typedef struct sINPmodel{
    char *INPmodName;   /* name of model */
    int INPmodType;     /* type index of device type */
    struct sINPmodel *INPnextModel;  /* link to next model */
    int INPmodUsed;     /* flag to indicate it has already been used */
    card *INPmodLine;   /* pointer to line describing model */
} INPmodel;

/* listing types - used for debug listings */
#define LOGICAL 1
#define PHYSICAL 2

#endif INP
